CAN_NBTP_Type Union Reference

## Data Fields

struct {
uint32_t NTSEG2:7
uint32_t __pad0__:1
uint32_t NTSEG1:8
uint32_t NBRP:9
uint32_t NSJW:7
} | bit
uint32_t | reg

## Detailed Description

Definition at line 267 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_NBTP_Type::__pad0__

bit: 7 Reserved

Definition at line 270 of file can.h.

## bit

struct { ... } CAN_NBTP_Type::bit

Structure used for bit access

## NBRP

uint32_t CAN_NBTP_Type::NBRP

bit: 16..24 Nominal Baud Rate Prescaler

Definition at line 272 of file can.h.

## NSJW

uint32_t CAN_NBTP_Type::NSJW

bit: 25..31 Nominal (Re)Synchronization Jump Width

Definition at line 273 of file can.h.

## NTSEG1

uint32_t CAN_NBTP_Type::NTSEG1

bit: 8..15 Nominal Time segment before sample point

Definition at line 271 of file can.h.

## NTSEG2

uint32_t CAN_NBTP_Type::NTSEG2

bit: 0.. 6 Nominal Time segment after sample point

Definition at line 269 of file can.h.

## reg

uint32_t CAN_NBTP_Type::reg

Type used for register access

Definition at line 275 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h